body {
    display: grid;
    grid-template-areas:
        "header"
        "main"
        "footer";
}

main {
    display: grid;
    grid-template-areas:
        "main-image main-details";
    gap: 10px;
}

#main-image {
    display: grid;
    grid-template-areas:
        "main-column1-detail"
        "main-column1-image";
    gap: 10px;
}

#main-details {
    display: grid;
    grid-template-areas:
        "main-details-item main-details-item"
        "main-details-item main-details-item"
        "main-details-item main-details-item";
    gap: 10px;
}

.main-details-item {
    display: grid;
    grid-template-areas:
        "main-details-item-subitem"
        "main-details-item-subitem";
    gap: 10px;
}

footer {
    display: grid;
    grid-template-areas:
        "footer-item1 footer-item1 footer-item2 footer-item3 footer-item4 footer-item5";
    gap: 10px;
}

#footer-item1 {
    grid-area: footer-item1;
}